# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v4.4.300
  - 000f45ee5487 Linux 4.4.300
  - 366ad1349169 lib82596: Fix IRQ check in sni_82596_probe
  - 9022d9f1b542 bcmgenet: add WOL IRQ check
  - 299e3b839854 net_sched: restore "mpu xxx" handling
  - 7854b9c70b57 dmaengine: at_xdmac: Fix at_xdmac_lld struct definition
  - f3911a6eafe2 dmaengine: at_xdmac: Fix lld view setting
  - aa2cc4ca0ccd dmaengine: at_xdmac: Print debug message after realeasing the lock
  - 436357620b85 dmaengine: at_xdmac: Don't start transactions at tx_submit level
  - 768bfaf11553 netns: add schedule point in ops_exit_list()
  - 5a8582d8efe8 net: axienet: fix number of TX ring slots for available check
  - 9dcd1b4c2f5f net: axienet: Wait for PhyRstCmplt after core reset
  - 180511bcb889 af_unix: annote lockless accesses to unix_tot_inflight & gc_in_progress
  - 5437a1e9bb05 parisc: pdc_stable: Fix memory leak in pdcs_register_pathentries
  - 047d4ae46bc4 net/fsl: xgmac_mdio: Fix incorrect iounmap when removing module
  - e7fdd0dd0ece powerpc/fsl/dts: Enable WA for erratum A-009885 on fman3l MDIO buses
  - 71245095033b ext4: don't use the orphan list when migrating an inode
  - c612b5562eb1 ext4: Fix BUG_ON in ext4_bread when write quota data
  - 4cc3a85aab97 ext4: set csum seed in tmp inode while migrating to extents
  - a5b45c679213 ubifs: Error path in ubifs_remount_rw() seems to wrongly free write buffers
  - c1fa611bc50e power: bq25890: Enable continuous conversion for ADC at charging
  - bb63c07d7a68 scsi: sr: Don't use GFP_DMA
  - 192fb88f5165 MIPS: Octeon: Fix build errors using clang
  - 50b5218e9428 i2c: designware-pci: Fix to change data types of hcnt and lcnt parameters
  - 98b91244ff90 ALSA: seq: Set upper limit of processed events
  - 89d0d46aa664 w1: Misuse of get_user()/put_user() reported by sparse
  - a6c195482b79 i2c: mpc: Correct I2C reset procedure
  - 983c6738db05 powerpc/smp: Move setup_profiling_timer() under CONFIG_PROFILING
  - 74650c34f930 i2c: i801: Don't silently correct invalid transfer size
  - b54a2f52b5f0 powerpc/btext: add missing of_node_put
  - 02c5e530368c powerpc/cell: add missing of_node_put
  - 6c148a0b4fc8 powerpc/powernv: add missing of_node_put
  - cec9b7972606 powerpc/6xx: add missing of_node_put
  - 48547b50c22f parisc: Avoid calling faulthandler_disabled() twice
  - 42a8aa10f65b serial: core: Keep mctrl register state and cached copy in sync
  - 8c73cb912974 serial: pl010: Drop CR register reset on set_termios
  - 7eed11c26a8a dm space map common: add bounds check to sm_ll_lookup_bitmap()
  - 6da82c0ae3fe dm btree: add a defensive bounds check to insert_at()
  - 61dd8d487c1f net: mdio: Demote probed message to debug print
  - 7b153b575935 btrfs: remove BUG_ON(!eie) in find_parent_nodes
  - 6fd73caef430 btrfs: remove BUG_ON() in find_parent_nodes()
  - 2a06b800c5f9 ACPICA: Executer: Fix the REFCLASS_REFOF case in acpi_ex_opcode_1A_0T_1R()
  - d5ec36915444 ACPICA: Utilities: Avoid deleting the same object twice in a row
  - d1c57f0f26d1 um: registers: Rename function names to avoid conflicts and build problems
  - 36371eb1ffa1 ath9k: Fix out-of-bound memcpy in ath9k_hif_usb_rx_stream
  - 44628f718dc5 usb: hub: Add delay for SuperSpeed hub resume to let links transit to U0
  - 6e2339730223 media: saa7146: hexium_gemini: Fix a NULL pointer dereference in hexium_attach()
  - 2f2e5d29599d media: igorplugusb: receiver overflow should be reported
  - 52b605d30038 net: bonding: debug: avoid printing debug logs when bond is not notifying peers
  - dc32bfd8cd14 iwlwifi: mvm: synchronize with FW after multicast commands
  - 08cb4f0da992 media: m920x: don't use stack on USB reads
  - 5da89671769f media: saa7146: hexium_orion: Fix a NULL pointer dereference in hexium_attach()
  - d630eea21cd0 floppy: Add max size check for user space request
  - 7d5e12e45277 mwifiex: Fix skb_over_panic in mwifiex_usb_recv()
  - c1b4f58686cc HSI: core: Fix return freed object in hsi_new_client
  - c39ed869df64 media: b2c2: Add missing check in flexcop_pci_isr:
  - e34aefa10ff6 usb: gadget: f_fs: Use stream_open() for endpoint files
  - a5f1c7198262 ar5523: Fix null-ptr-deref with unexpected WDCMSG_TARGET_START reply
  - 8f0a80ba4897 fs: dlm: filter user dlm messages for kernel locks
  - fb0d3aa2055d Bluetooth: Fix debugfs entry leak in hci_register_dev()
  - 184e1b9494f9 RDMA/cxgb4: Set queue pair state when being queried
  - 7e4ac8c8ec3a mips: bcm63xx: add support for clk_set_parent()
  - 3c583dd9aec9 mips: lantiq: add support for clk_set_parent()
  - 7a564040881f misc: lattice-ecp3-config: Fix task hung when firmware load failed
  - 1677aad6534d ASoC: samsung: idma: Check of ioremap return value
  - c132aedd6e7d dmaengine: pxa/mmp: stop referencing config->slave_id
  - 5017ceb5bdab RDMA/core: Let ib_find_gid() continue search even after empty entry
  - c6c2b1540ce3 char/mwave: Adjust io port register size
  - ab4b22dcffb2 ALSA: oss: fix compile error when OSS_DEBUG is enabled
  - 1f3f08626967 powerpc/prom_init: Fix improper check of prom_getprop()
  - c3e4e1d1d4c0 ALSA: hda: Add missing rwsem around snd_ctl_remove() calls
  - beda1b131804 ALSA: PCM: Add missing rwsem around snd_ctl_remove() calls
  - 7cb18c0544fa ALSA: jack: Add missing rwsem around snd_ctl_remove() calls
  - c8b75d33e1fc ext4: avoid trim error on fs with small groups
  - 44696049f302 net: mcs7830: handle usb read errors properly
  - 133f94040c15 pcmcia: fix setting of kthread task states
  - 8155aaa3fbd6 can: xilinx_can: xcan_probe(): check for error irq
  - d12ac700f952 can: softing: softing_startstop(): fix set but not used variable warning
  - 7f86598dca58 spi: spi-meson-spifc: Add missing pm_runtime_disable() in meson_spifc_probe
  - e17f81c6b9d6 ppp: ensure minimum packet size in ppp_write()
  - a386ddaaa4b1 pcmcia: rsrc_nonstatic: Fix a NULL pointer dereference in nonstatic_find_mem_region()
  - b3135fcc495f pcmcia: rsrc_nonstatic: Fix a NULL pointer dereference in __nonstatic_find_io_region()
  - 26b3a457b781 usb: ftdi-elan: fix memory leak on device disconnect
  - f0326f0eab2d media: msi001: fix possible null-ptr-deref in msi001_probe()
  - 477b5353675a media: saa7146: mxb: Fix a NULL pointer dereference in mxb_attach()
  - 86d2d3a4fe80 media: dib8000: Fix a memleak in dib8000_init()
  - 8dbf653c46a5 floppy: Fix hang in watchdog when disk is ejected
  - 6e1583a38203 serial: amba-pl011: do not request memory region twice
  - 86951efaf8f5 drm/amdgpu: Fix a NULL pointer dereference in amdgpu_connector_lcd_native_mode()
  - e1bbf8ae5531 arm64: dts: qcom: msm8916: fix MMC controller aliases
  - 4ed4cad164e0 netfilter: bridge: add support for pppoe filtering
  - 92674518e7f7 tty: serial: atmel: Call dma_async_issue_pending()
  - 08fbd3e9a0a9 tty: serial: atmel: Check return code of dmaengine_submit()
  - 33e17a61ddaa crypto: qce - fix uaf on qce_ahash_register_one
  - 048acfa4daf1 Bluetooth: stop proccessing malicious adv data
  - 4af1490c4e45 Bluetooth: cmtp: fix possible panic when cmtp_init_sockets() fails
  - 0d3135f33919 PCI: Add function 1 DMA alias quirk for Marvell 88SE9125 SATA controller
  - 6c2445d6315d can: softing_cs: softingcs_probe(): fix memleak on registration failure
  - 5fb1e43131ad media: stk1160: fix control-message timeouts
  - 54af70f2f266 media: pvrusb2: fix control-message timeouts
  - 7521cbef531b media: dib0700: fix undefined behavior in tuner shutdown
  - 1ceb00f50a6a media: em28xx: fix control-message timeouts
  - fc18aa1adefe media: mceusb: fix control-message timeouts
  - f79ff6cd8257 rtc: cmos: take rtc_lock while reading from CMOS
  - e350e9602d41 nfc: llcp: fix NULL error pointer dereference on sendmsg() after failed bind()
  - 6f4010128aa3 HID: uhid: Fix worker destroying device without any protection
  - 0d7059bf8219 rtlwifi: rtl8192cu: Fix WARNING when calling local_irq_restore() with interrupts enabled
  - 4ba162a549c3 media: uvcvideo: fix division by zero at stream start
  - 6599a6131058 drm/i915: Avoid bitwise vs logical OR warning in snb_wm_latency_quirk()
  - 7d8ab1bf8a6a can: gs_usb: gs_can_start_xmit(): zero-initialize hf->{flags,reserved}
  - 4b555a0c6fef can: gs_usb: fix use of uninitialized variable, detach device on reception of invalid USB data
  - 79ea7fa3a8a6 mfd: intel-lpss: Fix too early PM enablement in the ACPI ->probe()
  - 6e9f54c00728 USB: Fix "slab-out-of-bounds Write" bug in usb_hcd_poll_rh_status
  - 9db39c3ec90c USB: core: Fix bug in resuming hub's handling of wakeup requests
  - 115c37f3a072 Bluetooth: bfusb: fix division by zero in send path
